Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.server
Class ServerVersionsImpl

    java.lang.Object
      |
      +--com.novell.service.server.ServerVersionsImpl

public class ServerVersionsImpl
extends java.lang.Object
implements , ServerVersions

Provides the attribute value of a ServerDirContext.

This attribute supports expanded search capabilities. Use the setSearchFields() and getSearchFields() methods to control which fields are used when performing a search. If the searchFields are not explicitly set, then all fields are used by default.

See Also:
  `ServerVersions`

Constructor Summary
`ServerVersionsImpl()` Constructs a ServerVersionImpl attribute value.

Method Summary
`byte` | `getAccountVersion()` Returns the account version of the server.
`byte` | `getInternetBridgeVersion()` Returns the Internet bridge version number of the server.
`byte` | `getMajorVersion()` Returns the major version of the server.
`byte` | `getMinorVersion()` Returns the minor version of the server.
`byte` | `getPrintVersion()` Returns the print version number of the server.
`byte` | `getQueueVersion()` Returns the queue version number of the server.
`byte` | `getRevision()` Returns the revision number of the server.
`int` | `getSearchFields()` Returns the fields currently set to be used when performing a search.
`byte` | `getSecurityVersion()` Returns the security version number of the server.
`byte` | `getVirtualConsoleVersion()` Returns the virtual console version number of the server.
`void` | `setAccountVersion(byte value)` Sets the account version number of the server as the search value.
`void` | `setInternetBridgeVersion(byte value)` Sets the Internet bridge version number of the server as the search value.
`void` | `setMajorVersion(byte value)` Sets the major version number of the server as the search value.
`void` | `setMinorVersion(byte value)` Sets the minor version number of the server as the search value.
`void` | `setPrintVersion(byte value)` Sets the print version number of the server as the search value.
`void` | `setQueueVersion(byte value)` Sets the minor queue version number of the server as the search value.
`void` | `setRevision(byte value)` Sets the revision number of the server as the search value.
`void` | `setSearchFields(int fields)` Sets the fields to be used when performing a search.
`void` | `setSecurityVersion(byte value)` Sets the security version number of the server as the search value.
`void` | `setVirtualConsoleVersion(byte value)` Sets the virtual console version number of the server as the search value.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerVersionsImpl

    public ServerVersionsImpl()

  Constructs a ServerVersionImpl attribute value. This constructor is used to manually create attributes for methods such as search().

Method Detail

### setSearchFields

    public void setSearchFields(int fields)

  Sets the fields to be used when performing a search. Use the constants defined in the ServerVersion interface as the value of the fields parameter. Multiple fields can be bitwise OR'ed together to search on multiple fields.
  Specified by:
    setSearchFields in interface ServerVersions
  Parameters:
    `fields` - The fields to be used in the search.
  See Also:
    `ServerVersions`

### getSearchFields

    public int getSearchFields()

  Returns the fields currently set to be used when performing a search.
  Specified by:
    getSearchFields in interface ServerVersions
  Returns:
    The search fields currently set.

### getMajorVersion

    public byte getMajorVersion()
                         throws com.novell.service.jncp.NSIException

  Returns the major version of the server.
  Specified by:
    getMajorVersion in interface ServerVersions
  Returns:
    The major version number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### getMinorVersion

    public byte getMinorVersion()
                         throws com.novell.service.jncp.NSIException

  Returns the minor version of the server.
  Specified by:
    getMinorVersion in interface ServerVersions
  Returns:
    The minor version number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### getRevision

    public byte getRevision()
                     throws com.novell.service.jncp.NSIException

  Returns the revision number of the server.
  Specified by:
    getRevision in interface ServerVersions
  Returns:
    The revision number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### getAccountVersion

    public byte getAccountVersion()
                           throws com.novell.service.jncp.NSIException

  Returns the account version of the server.
  Specified by:
    getAccountVersion in interface ServerVersions
  Returns:
    The account version number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### getQueueVersion

    public byte getQueueVersion()
                         throws com.novell.service.jncp.NSIException

  Returns the queue version number of the server.
  Specified by:
    getQueueVersion in interface ServerVersions
  Returns:
    The queue version number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### getPrintVersion

    public byte getPrintVersion()
                         throws com.novell.service.jncp.NSIException

  Returns the print version number of the server.
  Specified by:
    getPrintVersion in interface ServerVersions
  Returns:
    The print version number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### getVirtualConsoleVersion

    public byte getVirtualConsoleVersion()
                                  throws com.novell.service.jncp.NSIException

  Returns the virtual console version number of the server.
  Specified by:
    getVirtualConsoleVersion in interface ServerVersions
  Returns:
    The virtual console version number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### getSecurityVersion

    public byte getSecurityVersion()
                            throws com.novell.service.jncp.NSIException

  Returns the security version number of the server.
  Specified by:
    getSecurityVersion in interface ServerVersions
  Returns:
    The security version number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### getInternetBridgeVersion

    public byte getInternetBridgeVersion()
                                  throws com.novell.service.jncp.NSIException

  Returns the Internet bridge version number of the server.
  Specified by:
    getInternetBridgeVersion in interface ServerVersions
  Returns:
    The Internet bridge version number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### setMajorVersion

    public void setMajorVersion(byte value)
                         throws com.novell.service.jncp.NSIException

  Sets the major version number of the server as the search value. This is used to search for all servers matching the value parameter.
  Specified by:
    setMajorVersion in interface ServerVersions
  Parameters:
    `value` - The major version number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### setMinorVersion

    public void setMinorVersion(byte value)
                         throws com.novell.service.jncp.NSIException

  Sets the minor version number of the server as the search value. This is used to search for all servers matching the value parameter.
  Specified by:
    setMinorVersion in interface ServerVersions
  Parameters:
    `value` - The minor version number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### setRevision

    public void setRevision(byte value)
                     throws com.novell.service.jncp.NSIException

  Sets the revision number of the server as the search value. This is used to search for all servers matching the value parameter.
  Specified by:
    setRevision in interface ServerVersions
  Parameters:
    `value` - The revision number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### setAccountVersion

    public void setAccountVersion(byte value)
                           throws com.novell.service.jncp.NSIException

  Sets the account version number of the server as the search value. This is used to search for all servers matching the value parameter.
  Specified by:
    setAccountVersion in interface ServerVersions
  Parameters:
    `value` - The account version number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### setQueueVersion

    public void setQueueVersion(byte value)
                         throws com.novell.service.jncp.NSIException

  Sets the minor queue version number of the server as the search value. This is used to search for all servers matching the value parameter.
  Specified by:
    setQueueVersion in interface ServerVersions
  Parameters:
    `value` - The queue version number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### setPrintVersion

    public void setPrintVersion(byte value)
                         throws com.novell.service.jncp.NSIException

  Sets the print version number of the server as the search value. This is used to search for all servers matching the value parameter.
  Specified by:
    setPrintVersion in interface ServerVersions
  Parameters:
    `value` - The print version number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### setVirtualConsoleVersion

    public void setVirtualConsoleVersion(byte value)
                                  throws com.novell.service.jncp.NSIException

  Sets the virtual console version number of the server as the search value. This is used to search for all servers matching the value parameter.
  Specified by:
    setVirtualConsoleVersion in interface ServerVersions
  Parameters:
    `value` - The virtual console version number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### setSecurityVersion

    public void setSecurityVersion(byte value)
                            throws com.novell.service.jncp.NSIException

  Sets the security version number of the server as the search value. This is used to search for all servers matching the value parameter.
  Specified by:
    setSecurityVersion in interface ServerVersions
  Parameters:
    `value` - The security version number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### setInternetBridgeVersion

    public void setInternetBridgeVersion(byte value)
                                  throws com.novell.service.jncp.NSIException

  Sets the Internet bridge version number of the server as the search value. This is used to search for all servers matching the value parameter.
  Specified by:
    setInternetBridgeVersion in interface ServerVersions
  Parameters:
    `value` - The Internet bridge version number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD